# Method: alerts.delete

- [HTTP request](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/delete#body.aspect)
- [Examples](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/delete#examples)

Marks the specified alert for deletion. An alert that has been marked for deletion is removed from Alert Center after 30 days. Marking an alert for deletion has no effect on an alert which has already been marked for deletion. Attempting to mark a nonexistent alert for deletion results in a `NOT_FOUND` error.

### HTTP request

`DELETE https://alertcenter.googleapis.com/v1beta1/alerts/{alertId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `alertId` | `string` Required. The identifier of the alert to delete. |

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` Optional. The unique identifier of the Google Workspace account of the customer the alert is associated with. The `customerId` must have the initial "C" stripped (for example, `046psxkn`). Inferred from the caller identity if not provided. [Find your customer ID](https://support.google.com/cloudidentity/answer/10070793). |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.alerts`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).